# Uses of Class
org.eclipse.jdt.core.dom.ImplicitTypeDeclaration

Packages that use ImplicitTypeDeclaration
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ImplicitTypeDeclaration in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return ImplicitTypeDeclaration
Modifier and Type
Method
Description
`ImplicitTypeDeclaration`
AST.`newImplicitTypeDeclaration()`
Creates an unparented class declaration node owned by this AST.
Methods in org.eclipse.jdt.core.dom with parameters of type ImplicitTypeDeclaration
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(ImplicitTypeDeclaration node)`
End of visit the given type-specific AST node.
`boolean`
ASTMatcher.`match(ImplicitTypeDeclaration node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(ImplicitTypeDeclaration implicitTypeDeclaration)`
Visits the given type-specific AST node.